Package org.gradle.api.provider

# Interface SupportsConvention

All Known Subinterfaces:
  `ConfigurableFileCollection`, `DirectoryProperty`, `FileSystemLocationProperty<T>`, `HasMultipleValues<T>`, `ListProperty<T>`, `MapProperty<K,V>`, `Property<T>`, `RegularFileProperty`, `SetProperty<T>`

@Incubating public interface SupportsConvention
Marks a Gradle API custom type as supporting conventions.

Note: This interface is not intended for implementation by build script or plugin authors.

Since:
  8.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SupportsConvention`
  `unset()`
  Unsets this object's explicit value, allowing the convention to be selected when evaluating this object's value.
  `SupportsConvention`
  `unsetConvention()`
  Unsets this object's convention value.

- ## Method Details

  - ### unset

    SupportsConvention unset()
    Unsets this object's explicit value, allowing the convention to be selected when evaluating this object's value.
    Since:
      8.7

  - ### unsetConvention

    SupportsConvention unsetConvention()
    Unsets this object's convention value.
    Since:
      8.7